<template>
    <div class="app">
        <ul>
            <li v-for="(cliente, index) in clientes" :key="cliente.id">
                <div>
                    <div>
                        <img :src="cliente.foto" />
                    </div>
                    <p>
                        <strong>Nombre:</strong>
                        {{cliente.nombre}}
                    </p>
                    <p>
                        <strong>Usuario:</strong>
                        {{cliente.usuario}}
                    </p>
                    <p>
                        <strong>Email:</strong>
                        {{cliente.email}}
                    </p>
                    <p>
                        <strong>Password:</strong>
                        {{cliente.password}}
                    </p>
                         <!-- botón editar -->
                    <button @click="enviarDatosCliente(index)">Editar</button>
                        <button @click="borrarCliente(index)">Borrar</button>
                </div>
            </li>
        </ul>

    </div>
</template>

<script>
export default {
  name: 'ClientesCustom',
    //INICIO PROPS
  props:{
        // recibimos los clientes 
        clientes: Array
    },
//FIN PROPS

    // INICIO METHODS
    methods:{
        enviarDatosCliente(index){
            let datosCliente = this.clientes[index]
            this.$emit('datos', datosCliente)
        },
    // INICIO FUNCIÓN BORRAR CLIENTE PASA DATOS
        borrarCliente(index){
            let indiceCliente = this.clientes[index].id // conseguimos el id
            this.$emit('borrar', indiceCliente) 
        },
    // FIN FUNCIÓN BORRAR CLIENTE
    },

//FIN METHODS
}
</script>


<style scoped>
.app {
  background-color: var(--bg-whitesmoke);
   display: flex;

}
img {
  display: block;	
  width: 15rem;
  position:relative;
}
ul {
 display: flex;
 align-items: left;
 justify-content: flex-start;
 flex-wrap: wrap;

}
li {
 width: 15rem;
 margin: 0.5rem;
 background-color: white;
 list-style:none;
 border-radius: 0.2rem;
 box-shadow:  0 0.1rem 0.1rem rgba(0, 0, 0, 0.1);
}
div p{
    text-align: left;
    padding: 0 1rem 0 1rem;
}
  @media only screen and (max-width: 768px){
        
      ul {
        display: flex;
        align-items: left;
        justify-content: flex-start;
        flex-wrap: wrap;
      }
      li {
      width: 45%;
        }
    
      img {
          width: 100%;
      }
    }

@media only screen and (max-width: 425px){
      ul{
        padding: 0;
      }  
      li {
      width: 100%;
      }
    }
</style>